package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PenambahanKebutuhanSaranaVO extends BaseTransactionVO {

	private static final long serialVersionUID = 3770155116287021420L;

	@ManyToOne
	@JoinColumn(name = "ObjectStrukOrderFk")
	private StrukOrderVO strukOrder;

	@Column(name = "NamaBarang")
	@Caption(value = "NamaBarang")
	private String namaBarang;

	@Column(name = "Jumlah")
	@Caption(value = "Jumlah")
	private Integer jumlah;

	@Column(name = "Satuan")
	@Caption(value = "Satuan")
	private String satuan;

	@Column(name = "Harga")
	@Caption(value = "Harga")
	private Double harga;

	public Double getHarga() {
		return harga;
	}

	public void setHarga(Double harga) {
		this.harga = harga;
	}

	public StrukOrderVO getStrukOrder() {
		return strukOrder;
	}

	public void setStrukOrder(StrukOrderVO strukOrder) {
		this.strukOrder = strukOrder;
	}

	public String getNamaBarang() {
		return namaBarang;
	}

	public void setNamaBarang(String namaBarang) {
		this.namaBarang = namaBarang;
	}

	public Integer getJumlah() {
		return jumlah;
	}

	public void setJumlah(Integer jumlah) {
		this.jumlah = jumlah;
	}

	public String getSatuan() {
		return satuan;
	}

	public void setSatuan(String satuan) {
		this.satuan = satuan;
	}

}
